Revert a scheduled cancellation and return the updated subscription. Only works before cancellation takes effect.
Revert a scheduled cancellation and return the updated subscription. Only works before cancellation takes effect.
ApiKeyAuth In: header
Unique key used to safely retry this write for 24 hours without applying it twice.
1 <= length <= 200application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/subscriptions/string/uncancel"{ "id": "sub_1a2b3c4d", "customerId": "cus_1a2b3c4d", "plan": { "id": "plan_1a2b3c4d", "name": "Pro", "basePrice": 2000 }, "name": "Pro", "description": null, "status": "active", "billingInterval": "monthly", "trialEndsAt": null, "currentPeriod": { "start": "2026-09-07T12:00:00.000Z", "end": "2026-10-07T12:00:00.000Z", "daysRemaining": 30 }, "cancellation": null, "cancelAtPeriodEnd": false, "scheduledPlanChange": null, "startDate": "2026-09-07T12:00:00.000Z", "endDate": null, "billingDayOfMonth": 7, "nextBillingDate": "2026-10-07T12:00:00.000Z", "checkoutUrl": null, "createdAt": "2026-09-07T12:00:00.000Z", "updatedAt": "2026-09-07T12:00:00.000Z", "offerApplications": [], "pause": null, "priceId": "price_1a2b3c4d", "object": "subscription", "livemode": false, "consumptionModel": "metered", "features": [ { "code": "api_calls", "name": "API Calls", "type": "usage", "usage": { "current": 250, "included": 1000, "overageQuantity": 0, "unlimited": false } } ], "credits": null, "balance": null}{ "error": { "type": "validation_error", "code": "validation_error", "message": "The request contains an invalid parameter.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md" }}{ "error": { "type": "authentication_error", "code": "unauthorized", "message": "A valid API key is required.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md" }}{ "error": { "type": "authentication_error", "code": "forbidden", "message": "You do not have permission to perform this operation.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md" }}{ "error": { "type": "not_found_error", "code": "not_found", "message": "The requested resource was not found.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md" }}{ "error": { "type": "conflict_error", "code": "idempotency_in_progress", "message": "A request with this idempotency key is still being processed.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/idempotency_in_progress.md" }}{ "error": { "type": "rate_limit_error", "code": "rate_limited", "message": "Too many requests. Retry after the interval specified in the Retry-After header.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md" }}{ "error": { "type": "internal_error", "code": "internal_error", "message": "An unexpected error occurred while processing the request.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md" }}{ "error": { "type": "internal_error", "code": "idempotency_unavailable", "message": "Idempotency storage is temporarily unavailable. Retry with the same idempotency key.", "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/idempotency_unavailable.md" }}